﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;
using System.Windows.Forms;

namespace WinClock
{
    public partial class Form1 : Form
    {
        Pen Hour = new Pen(Brushes.Black,5);
        Pen Min = new Pen(Brushes.Blue,3);
        Pen Sec = new Pen(Brushes.Red,1);

        public Form1()
        {
            InitializeComponent();
            Hour.EndCap = LineCap.ArrowAnchor;
            Min.EndCap = LineCap.ArrowAnchor;
            Sec.EndCap = LineCap.ArrowAnchor;
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }

        protected override void OnResize(EventArgs e)
        {
            base.OnResize(e);
            panel1.Invalidate();
        }

        private void PanelPaint(object sender, PaintEventArgs e)
        {
            DateTime d = new DateTime();
            d = DateTime.Now;
            int d12 = d.Hour > 12 ? d.Hour-12 : d.Hour;
            double H = Math.PI / 2 - d.Hour / 12.0 * 2.0 * Math.PI;
            double M = Math.PI / 2 - d.Minute / 60.0 * 2.0 * Math.PI;
            double S = Math.PI / 2 - d.Second / 60.0 * 2.0 * Math.PI;

            float R = panel1.Width > panel1.Height ? panel1.Height/2 : panel1.Width/2;
            float HR = R * 0.7F;
            float MR = R * 0.8F;
            float SR = R * 0.9F;
          
            e.Graphics.TranslateTransform(panel1.Width / 2, panel1.Height / 2);
            e.Graphics.ScaleTransform(1, -1);

            float x, y;
            x = HR * (float)Math.Cos(H); y = HR * (float)Math.Sin(H);
            e.Graphics.DrawLine(Hour, 0F, 0F, x, y);

            x = MR * (float)Math.Cos(M); y = MR * (float)Math.Sin(M);
            e.Graphics.DrawLine(Min, 0F, 0F, x, y);

            x = SR * (float)Math.Cos(S); y = SR * (float)Math.Sin(S);
            e.Graphics.DrawLine(Sec, 0F, 0F, x, y);


        }

        private void TickTick(object sender, EventArgs e)
        {
            panel1.Invalidate();
        }

        private void startToolStripMenuItem_Click(object sender, EventArgs e)
        {
            timer1.Start();
        }

        private void stoppToolStripMenuItem_Click(object sender, EventArgs e)
        {
            timer1.Stop();
        }
    }
}
